Bug 5604 - Fix for detecting PYTHON and PYTHON_CONFIG in scripting/python/config.m4
Fix for detecting PYTHON and PYTHON_CONFIG in scripting/python/config.m4
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
unspecified
x86 All
: P3 trivial
: ---
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 03:18 UTC by Michael Ströder
Modified: 2008-09-10 09:32 UTC (History)
1 user (show)

See Also:


Attachments
Proposed fix (478 bytes, patch)
2008-07-10 03:21 UTC, Michael Ströder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Ströder 2008-07-10 03:18:19 UTC
HI!

On my system where Python 2.6 was installed with 'make altinstall' mkconfig.mk references different Python versions.

Example for wrong result in mkconfig.mk:
PYTHON_CONFIG = /usr/bin/python2.6-config
pythondir = ${prefix}/lib/python2.5/site-packages

In source/scripting/python/config.m4 PYTHON and PYTHON_CONFIG should be detected in the same way.

Ciao, Michael.
Comment 1 Michael Ströder 2008-07-10 03:21:11 UTC
Created attachment 3402 [details]
Proposed fix
Comment 2 Matthias Dieter Wallnöfer 2008-08-07 13:18:47 UTC
Jelmer, have you reviewed the fix?
Comment 3 Matthias Dieter Wallnöfer 2008-09-10 09:32:05 UTC
Okay, should be fixed now!